#****************************************************************************
#**
#**  File     :  /data/lua/EffectTemplates.lua
#**  Author(s):  Gordon Duclos, Greg Kohne, Matt Vainio, Aaron Lundquist
#**
#**  Summary  :  Generic templates for commonly used effects
#**
#**  Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
TableCat = import('utilities.lua').TableCat
EmtBpPath = '/effects/emitters/'
EmtBpPath2 = '/mods/HawksmodFA/effects/emitters/'
EmitterTempEmtBpPath = '/effects/emitters/temp/'

#---------------------------------------------------------------
# ### CYBRAN PROJECTILES ###

UnitHitShrapnel01 = { EmtBpPath .. 'destruction_unit_hit_shrapnel_01_emit.bp',}
HvyDisintegratorLaser01 = {   
    EmtBpPath .. 'disintegrator_polytrail_04_emit.bp',
    EmtBpPath .. 'disintegrator_polytrail_05_emit.bp',
#    EmtBpPath .. 'disintegrator_polytrail_02_emit.bp',
#    EmtBpPath .. 'disintegrator_polytrail_03_emit.bp',
#    EmtBpPath .. 'default_polytrail_03_emit.bp',
    EmtBpPath2 .. 'Lightlaserbeamred01_emit.bp',
#    EmtBpPath .. 'electron_bolter_trail_02_emit.bp',
#    EmtBpPath .. 'default_polytrail_01_emit.bp',
#    EmtBpPath .. 'electron_bolter_trail_01_emit.bp',
#    EmtBpPath .. 'default_polytrail_05_emit.bp',
}
HvyBolterLaser02 = {   
#    EmtBpPath .. 'disintegrator_polytrail_04_emit.bp',
#    EmtBpPath .. 'disintegrator_polytrail_05_emit.bp',
    EmtBpPath2 .. 'Lightlaserbeamred01_emit.bp',
    EmtBpPath .. 'electron_bolter_trail_02_emit.bp',
#    EmtBpPath .. 'default_polytrail_01_emit.bp',
    EmtBpPath .. 'electron_bolter_trail_01_emit.bp',
#    EmtBpPath .. 'default_polytrail_05_emit.bp',
}
SRHvyBolterLaserTrail = {   
    EmtBpPath .. 'electron_bolter_munition_01_emit.bp',
    EmtBpPath .. 'electron_bolter_munition_02_emit.bp',
}
SDElectronBolterHit01 = {
    EmtBpPath .. 'electron_bolter_hit_02_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_03_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_04_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_flash_01_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_flash_03_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_01_emit.bp',
    EmtBpPath .. 'electron_bolter_hitunit_04_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_flash_02_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_05_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_01_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_flat_02_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_flat_03_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_04_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_05_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_flat_06_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_07_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_sparks_01_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_flat_08_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_09_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_distort_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_02_emit.bp',	
    EmtBpPath .. 'disintegratorhvy_hit_flash_03_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_06_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_08_emit.bp',
    EmtBpPath .. 'cybran_corsair_missile_hit_01_emit.bp',
    EmtBpPath .. 'cybran_corsair_missile_hit_02_emit.bp',
    EmtBpPath .. 'cybran_corsair_missile_hit_03_emit.bp',
    EmtBpPath .. 'cybran_corsair_missile_glow_hit_land_01_emit.bp',
    EmtBpPath .. 'cybran_corsair_missile_glow_hit_land_02_emit.bp',
    EmtBpPath .. 'cybran_corsair_missile_hit_ring.bp',
    EmtBpPath .. 'cybran_corsair_missile_glow_hit_unit_01_emit.bp',
    EmtBpPath .. 'unit_shrapnel_hit_01_emit.bp',
    EmtBpPath .. 'electron_burst_cloud_gas_01_emit.bp',
    EmtBpPath .. 'electron_burst_cloud_sparks_01_emit.bp',
    EmtBpPath .. 'electron_burst_cloud_flash_01_emit.bp',
}
SRHvyDisintegratorHit01 = {   
    EmtBpPath .. 'disintegratorhvy_hit_flash_01_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_flat_02_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_flat_03_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_04_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_05_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_flat_06_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_07_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_sparks_01_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_flat_08_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_09_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_distort_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_02_emit.bp',	
    EmtBpPath .. 'disintegratorhvy_hit_flash_03_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_06_emit.bp',
    EmtBpPath .. 'disintegratorhvy_hit_flash_08_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_02_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_03_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_04_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_flash_01_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_flash_03_emit.bp',
    EmtBpPath .. 'electron_bolter_hit_01_emit.bp',
    EmtBpPath .. 'electron_bolter_hitunit_04_emit.bp',
}

SRLaserBolterHitUnit01 = SRHvyDisintegratorHit01
SDLaserBolterHitUnit02 = SDElectronBolterHit01

XCannonPolyTrail =  EmtBpPath2 .. 'xcannon_polytrail_01_emit.bp'
XCannonFXTrail01 =  { EmtBpPath2 .. 'xcannon_fxtrail_01_emit.bp' }
XCannonHitUnit = {
	EmtBpPath2 .. 'xcannon_hitunit_01_emit.bp',
	EmtBpPath2 .. 'xcannon_hit_02_emit.bp', 
	EmtBpPath2 .. 'xcannon_hit_03_emit.bp',  
	EmtBpPath2 .. 'xcannon_hitunit_04_emit.bp', #shockj effect
	EmtBpPath2 .. 'xcannon_hitunit_05_emit.bp',  #shock effect
	EmtBpPath2 .. 'xcannon_hitunit_06_emit.bp', 
	EmtBpPath2 .. 'xcannon_hitunit_07_emit.bp',
	EmtBpPath2 .. 'xcannon_hit_08_emit.bp',
	EmtBpPath2 .. 'xcannon_hit_09_emit.bp',
	EmtBpPath2 .. 'xcannon_hit_10_emit.bp',
	EmtBpPath2 .. 'xcannon_hit_distort_emit.bp',
}
ZCannonPolytrail01 = { 
    EmtBpPath2 .. 'ZCannon_polytrail_01_emit.bp',
    EmtBpPath2 .. 'ZCannon_polytrail_02_emit.bp',
    EmtBpPath .. 'default_polytrail_01_emit.bp',
#	EmtBpPath2 .. 'ZCannon_projectile_emit.bp',#spinny trails
#	EmtBpPath2 .. 'ZCannon_projectile_01_emit.bp',#spinny trails
#	EmtBpPath2 .. 'ZCannon_projectile_02_emit.bp',#spinny Trails
}
ZCannonFxtrail01 = {
	 EmtBpPath2 .. 'ZCannon_fxtrail_01_emit.bp',
	 EmtBpPath2 .. 'ZCannon_projectile_fxtrail_01_emit.bp',#loop trail
     EmtBpPath2 .. 'ZCannon_projectile_fxtrail_02_emit.bp',#loop trail
     EmtBpPath2 .. 'ZCannon_projectile_fxtrail_03_emit.bp',
}
ZCannonHit02 = {
    EmtBpPath2 .. 'ZCannon_hit_12_emit.bp',	##White Lightning
	EmtBpPath2 .. 'ZCannon_hit_13_emit.bp',	  ##   dark glow effect
	EmtBpPath2 .. 'ZCannon_hit_14_emit.bp',  ## Dark cloud effect
	EmtBpPath2 .. 'ZCannon_hit_15_emit.bp',  ## blue/white flash
	EmtBpPath2 .. 'ZCannon_hit_16_emit.bp',##  Black Lightning
	EmtBpPath2 .. 'ZCannon_ring_03_emit.bp',##	ring03-white
	EmtBpPath2 .. 'ZCannon_ring_04_emit.bp',## ring04-dark
}
ZCannonHit03 = {
    EmtBpPath2 .. 'ZCannon_hit_01_emit.bp',	##	glow	
    EmtBpPath2 .. 'ZCannon_hit_02_emit.bp',	##	flash	     
    EmtBpPath2 .. 'ZCannon_hit_03_emit.bp', 	##	sparks
    EmtBpPath2 .. 'ZCannon_hit_04_emit.bp',	##	plume fire
    EmtBpPath2 .. 'ZCannon_hit_05_emit.bp',	##	plume dark 
    EmtBpPath2 .. 'ZCannon_hit_06_emit.bp',	##	base fire
    EmtBpPath2 .. 'ZCannon_hit_07_emit.bp',	##	base dark 
    EmtBpPath2 .. 'ZCannon_hit_08_emit.bp',	##	plume smoke
    EmtBpPath2 .. 'ZCannon_hit_09_emit.bp',	##	base smoke
    EmtBpPath2 .. 'ZCannon_hit_10_emit.bp',	##	plume highlights
    EmtBpPath2 .. 'ZCannon_hit_11_emit.bp',	##	base highlights
    EmtBpPath2 .. 'ZCannon_ring_01_emit.bp',	##	ring14
    EmtBpPath2 .. 'ZCannon_ring_02_emit.bp',	##	ring11	     
}
ZCannonHit01 = TableCat( ZCannonHit02, ZCannonHit03 ) 
ZCannonMuzzleFlash = { 
    EmtBpPath2 .. 'ZCannon_flash_01_emit.bp',
    EmtBpPath2 .. 'ZCannon_flash_02_emit.bp', 
    EmtBpPath2 .. 'ZCannon_flash_03_emit.bp', 
    EmtBpPath2 .. 'ZCannon_flash_04_emit.bp',
    EmtBpPath2 .. 'ZCannon_flash_05_emit.bp',
}

WaveCannonFxtrail01 = {
     EmtBpPath .. 'seraphim_chronotron_cannon_projectile_fxtrail_03_emit.bp',
}
WaveCannonPolytrail01 = { 
#	EmtBpPath2 .. 'ZCannon_projectile_emit.bp',#spinny trails
#	EmtBpPath2 .. 'ZCannon_projectile_01_emit.bp',#spinny trails
#	EmtBpPath2 .. 'ZCannon_projectile_02_emit.bp',#spinny Trails
}

SDFExperimentalPhasonProjHit01 = {
    EmtBpPath2 .. 'seraphim_experimental_phasonproj_hit_01_emit.bp',#small blue flash
    EmtBpPath2 .. 'seraphim_experimental_phasonproj_hit_02_emit.bp', #flash
    EmtBpPath2 .. 'seraphim_experimental_phasonproj_hit_03_emit.bp',  #shockwave
    EmtBpPath2 .. 'seraphim_experimental_phasonproj_hit_04_emit.bp',#dark glow
    EmtBpPath2 .. 'seraphim_experimental_phasonproj_hit_05_emit.bp',#blue glow
    EmtBpPath2 .. 'seraphim_experimental_phasonproj_hit_06_emit.bp',#blue shockwave
    EmtBpPath2 .. 'seraphim_experimental_phasonproj_hit_07_emit.bp',#blue Spikes
	EmtBpPath2 .. 'seraphim_experimental_phasonproj_hit_08_emit.bp',#dark mist
	EmtBpPath2 .. 'seraphim_experimental_phasonproj_hit_09_emit.bp',#blue sparks
	EmtBpPath2 .. 'seraphim_experimental_phasonproj_hit_10_emit.bp',#lightning
}

SDFExperimentalPhasonProjHit02 = {
    EmtBpPath .. 'seraphim_experimental_phasonproj_hitunit_01_emit.bp',
	EmtBpPath .. 'seraphim_experimental_phasonproj_hitunit_08_emit.bp',
}

SDFExperimentalPhasonProjHitUnit = TableCat( SDFExperimentalPhasonProjHit01, SDFExperimentalPhasonProjHit02, UnitHitShrapnel01 )

ShadowCannonPolyTrail = { 
    EmtBpPath .. 'electron_bolter_trail_01_emit.bp',
    EmtBpPath2 .. 'shadowcannon_polytrail_01_emit.bp'

}
ShadowCannonFXTrail01 = {
	 EmtBpPath .. 'electron_bolter_munition_02_emit.bp',
	 EmtBpPath2 .. 'shadowcannon_fxtrail_01_emit.bp',
     EmtBpPath .. 'electron_bolter_munition_01_emit.bp',
}

ACUShadowCannonHit01 = {
    EmtBpPath .. 'proton_bomb_hit_02_emit.bp',#sparks
    EmtBpPath .. 'cybran_light_artillery_hit_02_emit.bp',#t2 arty sparks
}

WraithPolytrail01 = EmtBpPath .. 'aeon_quantic_cluster_polytrail_01_emit.bp'


WraithMunition01 = { 
    EmtBpPath .. 'disruptor_cannon_munition_01_emit.bp',#blue cloud
    EmtBpPath .. 'disruptor_cannon_munition_02_emit.bp',#white cloud
    EmtBpPath .. 'disruptor_cannon_munition_03_emit.bp',
    EmtBpPath .. 'disruptor_cannon_munition_04_emit.bp',
}
WraithCannonHit01 = {
    EmtBpPath .. 'quantum_hit_flash_04_emit.bp',#small flash
    EmtBpPath .. 'quantum_hit_flash_05_emit.bp',#smal Flash
    EmtBpPath2 .. 'quantum_hit_flash_06_emit.bp',#black lighning
    EmtBpPath .. 'quantum_hit_flash_07_emit.bp',#sparks
    EmtBpPath2 .. 'quantum_hit_flash_08_emit.bp',#white lightning
    EmtBpPath .. 'quantum_hit_flash_09_emit.bp',#flash spikes
#    EmtBpPath .. 'aeon_sonance_hit_01_emit.bp',#black SPikes
    EmtBpPath .. 'aeon_sonance_hit_02_emit.bp',#shock wave
#    EmtBpPath .. 'aeon_sonance_hit_03_emit.bp',#white spikes
    EmtBpPath .. 'aeon_sonance_hit_04_emit.bp',#flash
}