#****************************************************************************
#**
#**  File     :  /cdimage/units/XAB2306/XAB2306_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Light Artillery Installation Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AStructureUnit = import('/lua/aeonunits.lua').AStructureUnit
local ADFGravitonProjectorWeapon = import('/lua/aeonweapons.lua').ADFGravitonProjectorWeapon
local EffectUtils = import('/lua/effectutilities.lua')
local Effects = import('/lua/effecttemplates.lua')

XAB2306 = Class(AStructureUnit) {

    Weapons = {
        MainGun = Class(ADFGravitonProjectorWeapon)
        {        
        
            PlayFxWeaponPackSequence = function(self)
                if self.SpinManip then
                    self.SpinManip:SetTargetSpeed(0)
                end
                if self.SpinManip2 then
                    self.SpinManip2:SetTargetSpeed(0)
                end
                ADFGravitonProjectorWeapon.PlayFxWeaponPackSequence(self)
            end,
            PlayFxRackSalvoChargeSequence = function(self)
                if not self.SpinManip then 
                    self.SpinManip = CreateRotator(self.unit, 'Spinner_01', 'z', nil, 270, 180, 60)
                    self.unit.Trash:Add(self.SpinManip)
                end
                
                if not self.SpinManip2 then 
                    self.SpinManip2 = CreateRotator(self.unit, 'Spinner_02', 'z', nil, -270, -180, -60)
                    self.unit.Trash:Add(self.SpinManip2)
                end
                
                if self.SpinManip then
                    self.SpinManip:SetTargetSpeed(500)
                end
                if self.SpinManip2 then
                    self.SpinManip2:SetTargetSpeed(-500)
                end
                ADFGravitonProjectorWeapon.PlayFxRackSalvoChargeSequence(self)
            end,            
            PlayFxRackSalvoReloadSequence = function(self)
                if self.SpinManip2 then
                    self.SpinManip2:SetTargetSpeed(-200)
                end
                self.ExhaustEffects = EffectUtils.CreateBoneEffects( self.unit, 'Turret_Muzzle01', self.unit:GetArmy(), Effects.WeaponSteam01 )

                ADFGravitonProjectorWeapon.PlayFxRackSalvoChargeSequence(self)
            end,
            
        },
    },
}

TypeClass = XAB2306