#****************************************************************************
#**
#**  File     :  /cdimage/units/XES0402/XES0402_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  UEF Battleship Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local TSeaUnit = import('/lua/terranunits.lua').TSeaUnit
local WeaponsFile = import('/lua/terranweapons.lua')
local WeaponsFile2 = import('/mods/HawksmodFA/lua/Hawkeyeweapons.lua')
local TAALinkedRailgun = WeaponsFile.TAALinkedRailgun
local TAMPhalanxWeapon = WeaponsFile.TAMPhalanxWeapon
local ZCannonWeapon = WeaponsFile2.ZCannonWeapon
local TDFGaussCannonWeapon = WeaponsFile.TDFGaussCannonWeapon
local TIFCruiseMissileLauncher = WeaponsFile.TIFCruiseMissileLauncher

XES0402 = Class(TSeaUnit) {


    Weapons = {
        RightAAGun01 = Class(TAALinkedRailgun) {},
        RightAAGun02 = Class(TAALinkedRailgun) {},
        LeftAAGun01 = Class(TAALinkedRailgun) {},
        LeftAAGun02 = Class(TAALinkedRailgun) {},
        RightDeckTurret01 = Class(TDFGaussCannonWeapon) {},
        RightDeckTurret02 = Class(TDFGaussCannonWeapon) {},
        RightDeckTurret03 = Class(TDFGaussCannonWeapon) {},
        RightDeckTurret04 = Class(TDFGaussCannonWeapon) {},
        RightDeckTurret05 = Class(TDFGaussCannonWeapon) {},
        RightDeckTurret06 = Class(TDFGaussCannonWeapon) {},
        LeftDeckTurret01 = Class(TDFGaussCannonWeapon) {},
        LeftDeckTurret02 = Class(TDFGaussCannonWeapon) {},
        LeftDeckTurret03 = Class(TDFGaussCannonWeapon) {},
        LeftDeckTurret04 = Class(TDFGaussCannonWeapon) {},
        LeftDeckTurret05 = Class(TDFGaussCannonWeapon) {},
        LeftDeckTurret06 = Class(TDFGaussCannonWeapon) {},
        RightPhalanxGun01 = Class(TAMPhalanxWeapon) {
            PlayFxWeaponUnpackSequence = function(self)
                if not self.SpinManip then 
                    self.SpinManip = CreateRotator(self.unit, 'Right_Turret02_Barrel', 'z', nil, 270, 180, 60)
                    self.unit.Trash:Add(self.SpinManip)
                end
                if self.SpinManip then
                    self.SpinManip:SetTargetSpeed(500):SetPrecedence(100)
                end
                TAMPhalanxWeapon.PlayFxWeaponUnpackSequence(self)
            end,

            PlayFxWeaponPackSequence = function(self)
                if self.SpinManip then
                    self.SpinManip:SetTargetSpeed(0)
                end
                TAMPhalanxWeapon.PlayFxWeaponPackSequence(self)
            end,
            
        },
        LeftPhalanxGun01 = Class(TAMPhalanxWeapon) {
            PlayFxWeaponUnpackSequence = function(self)
                if not self.SpinManip then 
                    self.SpinManip = CreateRotator(self.unit, 'Left_Turret02_Barrel', 'z', nil, 270, 180, 60)
                    self.unit.Trash:Add(self.SpinManip)
                end
                if self.SpinManip then
                    self.SpinManip:SetTargetSpeed(500):SetPrecedence(100)
                end
                TAMPhalanxWeapon.PlayFxWeaponUnpackSequence(self)
            end,

            PlayFxWeaponPackSequence = function(self)
                if self.SpinManip then
                    self.SpinManip:SetTargetSpeed(0)
                end
                TAMPhalanxWeapon.PlayFxWeaponPackSequence(self)
            end,

        },
        FrontTurret01 = Class(ZCannonWeapon) {},
        FrontTurret02 = Class(ZCannonWeapon) {},
        BackTurret = Class(ZCannonWeapon) {},
        BackTurret02 = Class(ZCannonWeapon) {},
        CruiseMissile = Class(TIFCruiseMissileLauncher) {},
    },

    OnStopBeingBuilt = function(self,builder,layer)
        TSeaUnit.OnStopBeingBuilt(self,builder,layer)
        self.Trash:Add(CreateRotator(self, 'Spinner01', 'y', nil, -45))
        self.Trash:Add(CreateRotator(self, 'Spinner02', 'y', nil, 90))
    end,
}

TypeClass = XES0402