#****************************************************************************
#**
#**  File     :  /cdimage/units/URS0203/URS0203_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Cybran Attack Sub Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CSubUnit = import('/lua/cybranunits.lua').CSubUnit
local WeaponsFile = import('/lua/cybranweapons.lua')
local CANNaniteTorpedoWeapon = WeaponsFile.CANNaniteTorpedoWeapon
local CIFSmartCharge = WeaponsFile.CIFSmartCharge
local CDFElectronBolterWeapon = WeaponsFile.CDFElectronBolterWeapon
local CKrilTorpedoLauncherWeapon = import('/lua/cybranweapons.lua').CKrilTorpedoLauncherWeapon
local TorpRedirectField = import('/mods/HawksmodFA/lua/Hawkeyedefaultantiprojectile.lua').TorpRedirectField



URS0203 = Class(CSubUnit) {
    DeathThreadDestructionWaitTime = 0,
    
    Weapons = {
        FrontGun = Class(CDFElectronBolterWeapon) {},
        BackGun = Class(CDFElectronBolterWeapon) {},
        Torpedo01 = Class(CANNaniteTorpedoWeapon) {},
        Torpedo02 = Class(CKrilTorpedoLauncherWeapon) {},
    },
    OnStopBeingBuilt = function(self, builder, layer)
        CSubUnit.OnStopBeingBuilt(self,builder,layer)
        if(self:GetCurrentLayer() == 'Water') then
			# Enable weapon
			self:SetWeaponEnabledByLabel('FrontGun', true)
			self:SetWeaponEnabledByLabel('BackGun', true)
        elseif (self:GetCurrentLayer() == 'UnderWater') then
			# Disable Weapon
			self:SetWeaponDisableByLabel('FrontGun', false)
			self:SetWeaponDisableByLabel('BackGun', false)
       end
       self.WeaponsEnabled = true
#       self:SetMaintenanceConsumptionActive()
        local bp = self:GetBlueprint().Defense.TorpRedirectField01
#        local bp2 = self:GetBlueprint().Defense.TorpRedirectField02
        local bp3 = self:GetBlueprint().Defense.TorpRedirectField03
        local TorpRedirectField01 = TorpRedirectField {
            Owner = self,
            Radius = bp.Radius,
            AttachBone = bp.AttachBone,
            RedirectRateOfFire = bp.RedirectRateOfFire
        }
#        local TorpRedirectField02 = TorpRedirectField {
#            Owner = self,
#            Radius = bp2.Radius,
#            AttachBone = bp2.AttachBone,
#            RedirectRateOfFire = bp2.RedirectRateOfFire
#        }
        local TorpRedirectField03 = TorpRedirectField {
            Owner = self,
            Radius = bp3.Radius,
            AttachBone = bp3.AttachBone,
            RedirectRateOfFire = bp3.RedirectRateOfFire
        }
        self.Trash:Add(TorpRedirectField01)
#        self.Trash:Add(TorpRedirectField02)
        self.Trash:Add(TorpRedirectField03)
        self.UnitComplete = true
    end,
	OnLayerChange = function(self, new, old)
		CSubUnit.OnLayerChange(self, new, old)
		if self.WeaponsEnabled then
			if( new == 'Water' ) then
				# Enable Minigun
				self:SetWeaponEnabledByLabel('FrontGun', true)
				self:SetWeaponEnabledByLabel('BackGun', true)
			elseif ( new == 'UnderWater' ) then
				# Disable Land Minigun
				self:SetWeaponDisableByLabel('FrontGun', false)
				self:SetWeaponDisableByLabel('BackGun', false)
			end
		end
	end,
}

TypeClass = URS0203