#****************************************************************************
#**
#**  File     :  /cdimage/units/URS0302/URS0302_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Cybran Battleship Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CSeaUnit = import('/lua/cybranunits.lua').CSeaUnit
local CybranWeaponsFile = import('/lua/cybranweapons.lua')
local CybranWeaponsFile2 = import('/mods/HawksmodFA/lua/Hawkeyeweapons.lua')
local CAAAutocannon = CybranWeaponsFile.CAAAutocannon
local CDFProtonCannonWeapon = CybranWeaponsFile.CDFProtonCannonWeapon
local XCannonWeapon01 = CybranWeaponsFile2.XCannonWeapon01
local CDFHvyProtonCannonWeapon = CybranWeaponsFile.CDFHvyProtonCannonWeapon
local CANNaniteTorpedoWeapon = CybranWeaponsFile.CANNaniteTorpedoWeapon
local CAMZapperWeapon02 = CybranWeaponsFile.CAMZapperWeapon02

       
XRS0402= Class(CSeaUnit) {
    Weapons = {
        MainCannon01 = Class(XCannonWeapon01) {},
        MainCannon02 = Class(XCannonWeapon01) {},
        BackCannon01 = Class(CDFProtonCannonWeapon) {},
        RightCannon01 = Class(CDFProtonCannonWeapon) {},
        RightCannon02 = Class(CDFProtonCannonWeapon) {},
        LeftCannon01 = Class(CDFProtonCannonWeapon) {},
        LeftCannon02 = Class(CDFProtonCannonWeapon) {},
        AAGun01 = Class(CAAAutocannon) {},
        AAGun02 = Class(CAAAutocannon) {},
        LeftZapper = Class(CAMZapperWeapon02) {},
        RightZapper = Class(CAMZapperWeapon02) {},
        Torpedoes = Class(CANNaniteTorpedoWeapon) {},
    },
}

TypeClass = XRS0402